=== modified file 'doc/index.txt'
--- doc/index.txt	2006-07-30 06:52:39 +0000
+++ doc/index.txt	2006-09-13 04:48:33 +0000
@@ -19,30 +19,34 @@
 * `Configuration <configuration.htm>`_ 
   (wiki page: http://bazaar-vcs.org/ConfiguringBzr)
 
-    Information on how to configure Bazaar
+    Information on how to configure Bazaar.
 
 * `Setting up email <setting_up_email.htm>`_
   (wiki page: http://bazaar-vcs.org/BzrSettingEmail)
 
     The various ways that exist to tell Bazaar your email address for
-    commits
+    commits.
 
 * `Plugins <plugins.htm>`_
   (wiki page: http://bazaar-vcs.org/BzrPlugins)
     
-    Information on how to use plugins in Bazaar
+    Information on how to use plugins in Bazaar.
 
 * `Specifying revision <specifying_revisions.htm>`_
   (wiki page: http://bazaar-vcs.org/BzrRevisionSpec)
 
     Description of the subarguments for ``-r`` as used by commands such as
-    **bzr log** and **bzr merge**
+    **bzr log** and **bzr merge**.
 
 * `Using aliases <using_aliases.htm>`_
   (wiki page: http://bazaar-vcs.org/CommandAliases)
 
     How to setup and use command aliases.
 
+* `Running a Bazaar server <server.htm>`_
+  
+    How to run a server to allow remote access to Bazaar branches.
+
 This document automatically created based on output of **bzr help**:
 
 * `Man page (help for bzr commands) <bzr_man.htm>`_

=== added file 'doc/server.txt'
--- doc/server.txt	1970-01-01 00:00:00 +0000
+++ doc/server.txt	2006-09-13 04:48:33 +0000
@@ -0,0 +1,72 @@
+=======================
+Running a Bazaar Server
+=======================
+
+Bazaar does not require a specialised server because it operates over HTTP, FTP
+or SFTP.  There is an optional smart server that can be invoked over SSH, from
+inetd, or in a dedicated mode.
+
+Dumb servers
+============
+
+We describe HTTP, FTP, SFTP and HTTP-WebDAV as "dumb" servers because they do
+not offer any assistance to Bazaar.  If you make a Bazaar repository available
+over any of these protocols, Bazaar will allow you to read it remotely.  Just
+enter the URL to the branch in the Bazaar command you are running.::
+
+    bzr log http://bazaar-vcs.org/bzr/bzr.dev
+
+Bazaar supports writing over FTP, SFTP and via a plugin over HTTP-WebDAV.
+
+High performance server
+=======================
+
+**In development**
+
+The high performance server is currently in development.  The version of Bazaar
+that accompanies this documentation is able to use the servers underlying
+protocol as a dumb server.  This is the first stage high performance server
+functionality to be delivered.
+
+The current high performance server **always** provides **read/write** access.
+It is not suitable for publishing of read-only mirrors.
+
+It can be configured to run in three different ways:
+
+SSH
+---
+
+Using Bazaar over SSH requires no special configuration on the server::
+
+    bzr log bzr+ssh://host/~/path/to/branch --remote-bzr-path="~/bin/bzr"
+
+inetd
+-----
+
+This example shows how to run `bzr` with a dedicated user `bzruser` for a shared
+repository in `/srv/bzr/repo` which has a branch at `/srv/bzr/repo/branchname`
+
+Running a Bazaar server from inetd requires an inetd.conf entry::
+
+    1234  stream  tcp  nowait  bzruser  /usr/bin/bzr serve --inet --directory=/srv/bzr/repo
+
+When running client commands, the URL you supply is a `bzr://` URL relative to
+the `--directory` option given in inetd.conf::
+
+    bzr log bzr://host:1234/branchname
+
+Dedicated
+---------
+
+This mode has the same path and URL behaviour as the inetd mode.  To run as a
+specific, you should use `su` or login as that user.  This example runs bzr
+serve on `localhost` port `1234`.
+
+server::
+
+    bzr serve --port=localhost:1234 --directory=/srv/bzr/repo
+    
+client::
+
+    bzr log bzr://host:1234/branchname
+

